package nckd.jimin.jyyy.fi.common;

public enum SyncStatusEnum {
    UNSYNC("待同步","10"),
    SYNCING("同步中","20"),
    SYNCFAIL("同步失败","30"),
    SYNCSUCCESS("同步成功","40");
    private String  name;
    private String  value;

    SyncStatusEnum(String name, String value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }
    public static String getByValue(String value) {
        for (SyncStatusEnum e : values()) {
            if (e.getValue().equals(value)) {
                return e.getName();
            }
        }
        return null;
    }
    public String getValue() {
        return value;
    }
}
